package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.domain.TcWpyrwwcl;

/**
 * 网评员任务完成率（网评系统）Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcWpyrwwclService 
{
    /**
     * 查询网评员任务完成率（网评系统）
     * 
     * @param id 网评员任务完成率（网评系统）主键
     * @return 网评员任务完成率（网评系统）
     */
    public TcWpyrwwcl selectTcWpyrwwclById(Long id);

    /**
     * 查询网评员任务完成率（网评系统）列表
     * 
     * @param tcWpyrwwcl 网评员任务完成率（网评系统）
     * @return 网评员任务完成率（网评系统）集合
     */
    public List<TcWpyrwwcl> selectTcWpyrwwclList(TcWpyrwwcl tcWpyrwwcl);

    /**
     * 新增网评员任务完成率（网评系统）
     * 
     * @param tcWpyrwwcl 网评员任务完成率（网评系统）
     * @return 结果
     */
    public int insertTcWpyrwwcl(TcWpyrwwcl tcWpyrwwcl);

    /**
     * 修改网评员任务完成率（网评系统）
     * 
     * @param tcWpyrwwcl 网评员任务完成率（网评系统）
     * @return 结果
     */
    public int updateTcWpyrwwcl(TcWpyrwwcl tcWpyrwwcl);

    /**
     * 批量删除网评员任务完成率（网评系统）
     * 
     * @param ids 需要删除的网评员任务完成率（网评系统）主键集合
     * @return 结果
     */
    public int deleteTcWpyrwwclByIds(Long[] ids);

    /**
     * 删除网评员任务完成率（网评系统）信息
     * 
     * @param id 网评员任务完成率（网评系统）主键
     * @return 结果
     */
    public int deleteTcWpyrwwclById(Long id);


    /**
     * 导入网评员任务完成率（网评系统）信息
     *
     * @return 结果
     */
    public String importUser(List<TcWpyrwwcl> tTcWpyrwwclList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
